#include <psychlops.h>
using namespace Psychlops;

double width=1,height=100;
double temp1;
Psychlops::Rectangle rect1(width,height);
Psychlops::Color col;
Psychlops::Image Noise1(rect1,Image::GRAY);

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	for(int i=0;i<200;i++){
		for(int x=0; x<width; x++){
			for(int y=0; y<height; y++){
				temp1=Psychlops::random();
				col.set(temp1);
				Noise1.centering().shift((double)-1/2*200+i,0);
				Noise1.pix(x,y,col);
			}
		}
		Noise1.draw();
	}
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}